set echo on
clear screen

drop table t;

create table t ( x int, y int ) tablespace users;
insert into t values (1,1);
commit;
select * from t;
pause
clear screen


variable a refcursor
variable b refcursor
variable c refcursor

alter session set events '10046 trace name context forever, level 12';
begin
    open :a for select * from t a;
    open :b for select * from t b;
    open :c for select * from t c;
end;
/
pause
clear screen
print a
pause
clear screen

begin
    for i in 1 .. 10000
    loop
        update t set x = x+1;
        commit;
    end loop;
end;
/

pause
clear screen
print b
update t set x = x+1;
commit;

print c
pause
clear screen


@connect /
!tk
clear screen

insert into t values ( 1,1 );
alter table t move;

select x, dbms_rowid.rowid_block_number(rowid) from t;
create index t_idx on t(x);
commit;
pause
clear screen
variable a refcursor
variable b refcursor
variable c refcursor
alter session set events '10046 trace name context forever, level 12';


begin
    open :a for select * from t a where x > 1;
    open :b for select * from t b where x > 1;
    open :c for select * from t c where x > 1;
end;
/


pause
clear screen

print a


pause
clear screen

begin
    for i in 1 .. 10000
    loop
        update t set x = x where x = 1;
        commit;
    end loop;
end;
/

pause
clear screen

print b
print c
pause
clear screen

@connect /

!tk


select x, dbms_rowid.rowid_block_number(rowid) from t;
pause
clear screen
variable a refcursor
variable b refcursor
variable c refcursor
alter session set events '10046 trace name context forever, level 12';


begin
    open :a for select * from t a where x > 1;
    open :b for select * from t b where x > 1;
    open :c for select * from t c where x > 1;
end;
/


pause
clear screen

print a


pause
clear screen

begin
    for i in 1 .. 10000
    loop
        update t set x = -x where abs(x) = 1;
        commit;
    end loop;
end;
/

pause
clear screen

print b
print c
pause
clear screen

@connect /

!tk
