set echo on
clear screen
drop table audit_table;
drop table accounts ;
drop sequence s;


clear screen
create table accounts 
    ( 
      acc int primary key, 
      amount int, 
      pending int, 
      cleared date 
    ); 
pause
clear screen

create table audit_table
as
select 0 seq, 'old' oldnew, accounts.* 
  from accounts;

create sequence s;
pause
clear screen

insert into accounts values ( 1, 10, -2, null );
insert into accounts values ( 2,  0,  2, null );
insert into accounts values ( 3,  0,  0, to_date('26-nov-2003','dd-mon-yyyy') );
commit;
pause
clear screen

select * from accounts;
pause
clear screen

update accounts
   set pending = pending - 1, cleared = null where acc = 1; 

update accounts
   set pending = pending + 1, cleared = null where acc = 3; 
pause
clear screen

select * from accounts;
pause
clear screen

set define off
host xterm -font lucidasanstypewriter-bold-18 -e "sqlplus / @cr4a.sql" &
set define on

pause
clear screen
select * from audit_table;
commit;
